summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2017-10-19 18:44:08 +0200
committerBernard Cafarelli <voyageur@gentoo.org>2017-10-19 18:44:19 +0200
commit90b98ccd829c513ebd354349da20a8a952883f33 (patch)
tree05bd4014c8557b1f0d744c83c9cb777bbaedbf3f /app-backup
parentkde-frameworks/ktexteditor: Drop 5.39.0 (r0) (diff)
downloadgentoo-90b98ccd829c513ebd354349da20a8a952883f33.tar.gz
gentoo-90b98ccd829c513ebd354349da20a8a952883f33.tar.bz2
gentoo-90b98ccd829c513ebd354349da20a8a952883f33.zip
app-backup/backup-manager: 0.7.14 bump
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/backup-manager/Manifest1
-rw-r--r--app-backup/backup-manager/backup-manager-0.7.14.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/app-backup/backup-manager/Manifest b/app-backup/backup-manager/Manifest
index d02b405eba3..efd1abc9a00 100644
--- a/app-backup/backup-manager/Manifest
+++ b/app-backup/backup-manager/Manifest
@@ -1,2 +1,3 @@
DIST backup-manager-0.7.13.tar.gz 144494 SHA256 842d4e0e95c5ae3a1dd0f12b1911e70e73da9dd850b4bb077ff2e9134f9d89db SHA512 ef43d9b95471299482e3cccd72652930804d85d623ef9ae731b25509504db774380527c42b9de2fe906a730890f1c6f6ab394bcfb917f0a70822a45166edf76f WHIRLPOOL a309f2208824acda34b8efc696136e174b1d3d0418d8ec35a6971aa1644542646725a358bd9c8c8c356379ae6d3d7f6131f2f91e31ca2f3c8261572003e5a15b
+DIST backup-manager-0.7.14.tar.gz 144568 SHA256 ff098edc982fad2db6d22c575d93d5ea0180b61701971fd861779d7489844134 SHA512 7956f39446ffcd39ec2baff0f5599f15e549abac570806905768bac09d431a88a9826a8e30e02e6f5c6186f19b02d50d5101ce5c22a91a43e6d0772e4db57f2f WHIRLPOOL 68fe8e23b23b7112835c88e0923614f44e894ac430f283d7d242698cb35dcaaa6a6d35f098261113bf51166c507ee74b3de9333b9e85594959473e83327ea20e
DIST backup-manager-0.7.5.tar.gz 159855 SHA256 a7aa04ebec5b8a80d5e75d48121092afb969e1efb252b1ffdbcd28b04225e55a SHA512 3101e695d79c429e5a415a174c12b6217495aaefc0b44ee870bb492eea75ce07dacb766a45c60268a0f7da798d51b46f6d91f33b9d545360f09b92b61329bcef WHIRLPOOL 366e205c15084231fad81af9cbcebca34e7d3637476ba7046dc840d3f54c110469588ddc939c112525bac8d4764a7be2097c1b218f59af752af453091ff8299f
diff --git a/app-backup/backup-manager/backup-manager-0.7.14.ebuild b/app-backup/backup-manager/backup-manager-0.7.14.ebuild
new file mode 100644
index 00000000000..7f680b293b8
--- /dev/null
+++ b/app-backup/backup-manager/backup-manager-0.7.14.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils
+
+MY_P=Backup-Manager-${PV}
+DESCRIPTION="Backup Manager is a command line backup tool for GNU/Linux"
+HOMEPAGE="https://github.com/sukria/Backup-Manager"
+SRC_URI="https://github.com/sukria/Backup-Manager/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="s3"
+
+DEPEND="dev-lang/perl:=
+ sys-devel/gettext"
+
+RDEPEND="${DEPEND}
+ s3? ( dev-perl/Net-Amazon-S3
+ dev-perl/File-Slurp )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -e "/^PERL5DIR/s/sitelib/vendorlib/" \
+ -e "/sed/s:=\$(DESTDIR)/:=:" \
+ -i Makefile || die
+
+ default
+}
+
+src_compile() {
+ default
+ emake -C po
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX=/usr install
+
+ dodir /etc
+ cp -a "${D}"/usr/share/backup-manager/backup-manager.conf.tpl "${D}"/etc/backup-manager.conf || die
+ chmod 0600 "${D}"/etc/backup-manager.conf || die
+}